Add a Customer

Adds a customer to the Customer Vault and generates or saves a customer_id, which is required to create invoice and subscription payments. Payment methods, billing addresses and shipping addresses may be included in this request.

Body Params

Customer

string

Format: Variable length, up to 32 AN
Description: Unique customer ID value established by the merchant. The customer ID can be used to add subscriptions through Recurring Billing API requests or make payments through Payment Gateway API requests. Once established, this ID cannot be updated. This field is case sensitive. Only letters and numbers are allowed in a Customer ID.
Conditional Requirement: Either customer_id or auto_generate_customer_id is required to add a new customer.

boolean

Description: Boolean flag that indicates if the customer ID should be auto-generated. When set to true, we generate a unique customer ID, and the generated customer_id is returned in the response. Use the returned value to manage the customer profile through Customer Vault API requests.
Default: false
Conditional Requirement: Either customer_id or auto_generate_customer_id is required to add a new customer.

string

Format: Variable length, up to 32 AN
Description: Customer's first name.
Conditional Requirement: Either customer name or customer_firm_name is required.

string

Format: Variable length, up to 32 AN
Description: Customer's last name.
Conditional Requirement: Either customer name or customer_firm_name is required.

string

Format: Variable length, up to 64 AN
Description: Customer business name if applicable.
Conditional Requirement: Either customer name or customer_firm_name is required.

string

Format: Variable length, up to 16 AN
Description: Customer's phone number.

string

Format: Variable length, up to 64 AN
Description: Customer's email address.

string

Format: Variable length, up to 128 AN
Description: A merchant-provided value that will be stored with the Customer Vault data for merchant reference.

string

Format: Variable length, up to 128 AN
Description: Comments.

string

Format: Variable length, up to 32 AN
Description: Used to indicate which company developed the integration, or the name of the solution or system that is connected to us. Suggested usage is softwareABCv1.0 or companyXYZv2.0.

shipping_addresses
array of objects

Description: An array of shipping addresses. One address should be designated the default shipping address. If it is not, the system selects one address to be the default.

shipping_addresses
billing_cards
array of objects

Description: An array of billing cards. One of the cards should be designated as the default billing card. If it is not, the system selects one of the cards to be the default.

billing_cards
int64

Format: Variable length, up to 16 AN
Description: Identifies the merchant to whom this request applies. Optional field, applicable only if the request is sent on behalf of another merchant.
Conditional Requirement: Required if this request is on behalf of another merchant.

Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json